Clio GO System Requirements

This page describes the minimum system requirements to run the Clio GO mobile application and platform web applications. If you have any further questions, please contact us.

iOS Requirements

The Clio GO mobile application requires iOS 11.0 or higher.
The application is compatible with iOS devices iPhone 5S or later.

Android Requirements

The Clio GO mobile application requires Android 6.0 or higher.

Web Application Requirements

The Clio GO platform web applications requires use of the following major browsers:

  • Google Chrome
  • Mozilla FireFox
  • Microsoft Edge
  • Apple Safari

Security Recommendations

  • Keep up to date. It is strongly recommended that the most recent versions of operating systems and web browser applications always be used.
  • Use multi-factor authentication. Protect your health information by ensuring your mobile device uses a lock screen. If using a web application, enable additional security options like an Authenticator application.
  • Don’t reuse passwords across apps and websites. Data breaches happen around the world every day. If the same password is used in multiple applications, a single information leak could impact your entire digital footprint. Use a password manager like LastPass or BitWarden.